#
# spec file for package i4l-base (Version 2004.5.3)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  des gpp gppshare libgpp libpcap opensp ppp sgmltool tcl tcl-devel tk xf86

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils expat fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext libpcap libstdc++-devel libtool opensp perl ppp rpm sgmltool tcl tcl-devel tk

Name:         i4l-base
URL:          http://www.isdn4linux.de
License:      GPL
Group:        Hardware/ISDN
Provides:     i4l
Autoreqprov:  on
Obsoletes:    i4l
Version:      2004.5.3
Release:      1.2
Summary:      ISDN for Linux Basic Utilities
Source:       isdn4k-utils.v3.4.tar.bz2
Source1:      i4l_suse.tar.bz2
Source2:      firmware.tar.bz2
Patch:        isdn4k-utils.dif
Patch1:       isdn4k-utils-ppc.dif
Patch2:       i4l-base.dif
Patch3:       isdn4k-utils-filter.dif
Patch4:       vbox3-sec-fix.diff
Patch5:       capi4linux-dataind-fix
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       /bin/cat fileutils %insserv_prereq %fillup_prereq
PreReq:       permissions

%description
These utilities are needed for configuring and using ISDN devices. This
package includes special tools for network connections via ISDN. Other
tools for setup of various ISDN cards and for monitoring ISDN
connections are also included.



Authors:
--------
    Fritz Elfert <felfert@to.com>
    Karsten Keil <kkeil@suse.de>
    Michael Hipp <Michael.Hipp@student.uni-tuebingen.de>
    Andreas Kool <akool@Kool.f.EUnet.de>
    Ullrich von Bassewitz <uz@musoftware.com>
    Stefan Luethje <luethje@sl-gw.lake.de>
    Carsten Paeth <calle@calle.in-berlin.de>
    Paul Slootman <paul@wurtel.net>
    Armin Schindler <mac@melware.de>
    Kai Germaschewski <kai@tp1.ruhr-uni-bochum.de>
    and much more

%package -n capi4linux
Version:      2004.5.3
Release:      1.2
Summary:      CAPI 2.0 library and associated tools
Group:        Hardware/ISDN
Provides:     i4l:/usr/bin/capiinfo
Requires:     i4l-base
Autoreqprov:  on

%description -n capi4linux
This package contains the CAPI 2.0 library, which is needed for all
CAPI applications.  It also contains programs to show information about
installed CAPI controllers and for the receiving and sending of FAX
messages. CAPI 2.0 drivers for Linux are available for a growing number
of ISDN devices.



Authors:
--------
    Carsten Paeth <calle@calle.in-berlin.de>
    Kai Germaschewski <kai@tp1.ruhr-uni-bochum.de>
    Armin Schindler <mac@melware.de>
    Werner Cornelius <Cornelius@isdn-development.de>
    Karsten Keil <kkeil@suse.de>
    and more

%package -n i4lfirm
Version:      2004.5.3
Release:      1.2
Summary:      ISDN firmware for active ISDN cards
Group:        Hardware/ISDN
Requires:     i4l-base
Autoreqprov:  on

%description -n i4lfirm
ISDN firmware for active ISDN cards.



%package -n i4l-vbox
Version:      2004.5.3
Release:      1.2
Obsoletes:    vbox
Provides:     vbox vbox2b4
Provides:     i4l:/usr/bin/vbox
Requires:     i4l-base
Summary:      A Voice Answering Machine for isdn4linux
Group:        Hardware/ISDN
Autoreqprov:  on

%description -n i4l-vbox
i4l-vbox is a voice answering machine for isdn4linux. It is a
collection of tools to answer phone calls, recordmessages via a ISDN
card and to replay the recorded messages. It's also possible to send
the recorded messages to an email account. The recording and playing of
messages on the phone line is controlled via a tcl script, it's
possible to control additional functions via touch-tones. You can use
the calling number to select between various messages. The properties
for the answering machine are controlled with a number of config files
and they are very variable.



Authors:
--------
    Michael 'Ghandi' Herold

%package -n i4l-isdnlog
Version:      2004.5.3
Release:      1.2
Summary:      An ISDN line logging and control utility
Group:        Hardware/ISDN
Autoreqprov:  on
Provides:     i4l:/usr/sbin/isdnlog

%description -n i4l-isdnlog
Isdnlog is a very powerful tool to log calls on your ISDN line. It can
analyze the D-channel messages and start programs based on various
phone call events. It can make summaries of phone call costs and
translate known numbers to names. It has its own database for areacodes
and phone call costs for many phone network providers and can help you
to take care of your phone bill.



Authors:
--------
    Andreas Kool    <akool@isdn4linux.de>
    Stefan Luethje  <luethje@sl-gw.lake.de>
    Michael Reinelt <reinelt@eunet.at>
    Leopold Toetsch <lt@toetsch.at>
    and more

%package -n km_ipppcomp
Summary:      LZS Compression for i4l
Group:        Development/Sources

%description -n km_ipppcomp
This package provides precompiled versions of LZS compression for
ISDN4Linux. Attention!!! These modules are alpha code and experimental.
They may crash your machine. SuSE offers no support for this. For more
information and instructions on how to use it see:
/usr/share/doc/packages/km_ipppcomp/README.SuSE and
/usr/share/doc/packages/km_ipppcomp/README.LZS.



Authors:
--------
    Andre Beck <beck@ibh.de>

%prep
# remove old directory
if [ "X" != "${RPM_BUILD_ROOT}X" ]; then
	rm -rf $RPM_BUILD_ROOT
fi
%setup -n isdn4k-utils -b 1 -b 2
%patch
%ifarch ppc
%patch -P 1
%endif
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1
chmod a+x */configure
chown -R root:root ../i4l_suse
cd ../i4l_suse

%build
for i in capi20 capiinfo capifax capiinit rcapid ; do
 cd $i
 rm -f lt*
 aclocal
 libtoolize --force --automake --copy
 automake --add-missing --copy
 autoconf
 cd ..
done
for i in eicon isdnlog ipppd ; do
 cd $i
 autoconf
 cd ..
done
export PPPVERSIONS=`rpm -q --queryformat "%{VERSION}" ppp`
export CFLAGS="$RPM_OPT_FLAGS"
make subconfig
make
# build destination database with all available data
pushd isdnlog/tools/dest
make alldata
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,bin,share,include}
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/usr/lib/isdn
mkdir -p $RPM_BUILD_ROOT/etc/isdn
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/isdn/scripts
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/network/scripts
mkdir -p $RPM_BUILD_ROOT/etc/hotplug/usb
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
mkdir -p $RPM_BUILD_ROOT/etc/pcmcia
mkdir -p $RPM_BUILD_ROOT/dev
touch isdnctrl_conf_timru
grep CONFIG_ISDNCTRL_ .config | \
while read line ; do
    case "$line" in
        CONFIG_ISDNCTRL_CONF=y)
	    echo /usr/share/man/man8/.isdnctrl_conf.8.gz > isdnctrl_conf_timru
	    ;;
        CONFIG_ISDNCTRL_TIMRU=y)
	    echo /usr/share/man/man8/.isdnctrl_timru.8.gz > isdnctrl_conf_timru
	    ;;
    esac
done
export PPPVERSIONS=`rpm -q --queryformat "%{VERSION}" ppp`
make DESTDIR=$RPM_BUILD_ROOT install
# hack for lib64 platforms
if [ "%_lib" != "lib" ] ; then
  mkdir -p $RPM_BUILD_ROOT/usr/%_lib
  mv -v $RPM_BUILD_ROOT/usr/lib/lib* $RPM_BUILD_ROOT/usr/%_lib
fi
# now we have libcapi20 needed for this :( ugly
pushd capiinfo
./configure --with-man=/usr/share/man
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" 
make DESTDIR=$RPM_BUILD_ROOT install
popd
# i4l_suse.tar.bz2
cd ../i4l_suse
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 templates/* $RPM_BUILD_ROOT/var/adm/fillup-templates
install -d $RPM_BUILD_ROOT/etc/xinetd.d
install -m 644 etc/xinetd.d/i4l-vbox $RPM_BUILD_ROOT/etc/xinetd.d
install -p -m 755 bin/isdnmon $RPM_BUILD_ROOT/usr/bin
install -p -m 755 bin/isdnmonp $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp -a doc/* $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-isdnlog
cp -a doc.isdnlog/* $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-isdnlog
# take newest docs from the kernel
# cp -a /usr/src/linux/Documentation/isdn/* $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
chmod -R og+r $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp -a etc/isdn/* $RPM_BUILD_ROOT/etc/isdn
chmod 755 $RPM_BUILD_ROOT/etc/isdn/stop
install -d $RPM_BUILD_ROOT/etc/ppp
install -d $RPM_BUILD_ROOT/etc/ppp/peers
cp -a etc/ppp/* $RPM_BUILD_ROOT/etc/ppp/
cp  etc/ppp/peers/capi-isdn $RPM_BUILD_ROOT/etc/ppp/peers/
cp -p firm/* $RPM_BUILD_ROOT/usr/lib/isdn
install -p -m 755 etc/pcmcia/isdn $RPM_BUILD_ROOT/etc/pcmcia/isdn
install -m 644 etc/pcmcia/isdn.opts $RPM_BUILD_ROOT/etc/pcmcia/
install -m 644 etc/pcmcia/*.conf $RPM_BUILD_ROOT/etc/pcmcia/
install -d $RPM_BUILD_ROOT/etc/init.d
install -p -m 755 rc/isdn $RPM_BUILD_ROOT/etc/init.d
install -p -m 755 etc/sysconfig/isdn/scripts/* $RPM_BUILD_ROOT/etc/sysconfig/isdn/scripts
install -p -m 755 etc/sysconfig/network/scripts/* $RPM_BUILD_ROOT/etc/sysconfig/network/scripts
install -p -m 755 etc/hotplug/usb/ISDN $RPM_BUILD_ROOT/etc/hotplug/usb
install -p -m 644 etc/hotplug/usb/ISDN.usermap $RPM_BUILD_ROOT/etc/hotplug/usb
######## /etc/logrotate.d ############
install -d $RPM_BUILD_ROOT/etc/logrotate.d
install -p -m 644 etc/logrotate.d/* $RPM_BUILD_ROOT/etc/logrotate.d
######## SuSEconfig.isdn #############
install -p -m 755 sbin/conf.d/* $RPM_BUILD_ROOT/sbin/conf.d/
###### rc links ######
ln -sf ../../etc/init.d/isdn $RPM_BUILD_ROOT/usr/sbin/rcisdn
install -p -m 755 rc/rcold $RPM_BUILD_ROOT/usr/sbin/rci4l
install -p -m 755 rc/rcold $RPM_BUILD_ROOT/usr/sbin/rci4l_hardware
###### sysconfig links ######
ln -sf ifup-ippp $RPM_BUILD_ROOT/etc/sysconfig/network/scripts/ifup-isdn
ln -sf ifup-ippp $RPM_BUILD_ROOT/etc/sysconfig/network/scripts/ifdown-ippp
ln -sf ifup-ippp $RPM_BUILD_ROOT/etc/sysconfig/network/scripts/ifdown-isdn
ln -sf ifup-ippp $RPM_BUILD_ROOT/etc/sysconfig/network/scripts/ifstatus-ippp
ln -sf ifup-ippp $RPM_BUILD_ROOT/etc/sysconfig/network/scripts/ifstatus-isdn
#################################
# special isdnlog to copy files for at,ch,nl ... too
cp ../isdn4k-utils/isdnlog/*.dat $RPM_BUILD_ROOT/usr/lib/isdn
cp ../isdn4k-utils/isdnlog/*.cdb $RPM_BUILD_ROOT/usr/lib/isdn
#################################
#########################################################
# extra docu nach %{_defaultdocdir}/%{name}
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/faq
cd ../isdn4k-utils/FAQ
cp -a _example $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/faq/example
cp -a _howto $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/howto
cp -a tutorial $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
cd ../
#########################################################
# extra docu nach %{_defaultdocdir}/%{name}/*
### isdnlog
cp -p isdnlog/BUGS $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-isdnlog
cp -p isdnlog/FAQ $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-isdnlog
cp -p isdnlog/Isdn $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-isdnlog
cp -p isdnlog/NEWS $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-isdnlog
cp -p isdnlog/README $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-isdnlog
cp -p isdnlog/README.* $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-isdnlog
cp -a isdnlog/contrib $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-isdnlog/
pushd isdnlog/samples
for i in isdn.conf.* ; do
	sed -f ../../../i4l_suse/isdn.conf.sed ${i} >$RPM_BUILD_ROOT/etc/isdn/${i}
done
sed -f ../../../i4l_suse/isdn.conf.sed isdn.conf >$RPM_BUILD_ROOT/etc/isdn/isdn.conf.unknown
sed -f ../../../i4l_suse/isdn.conf.sed isdn.conf.de >$RPM_BUILD_ROOT/etc/isdn/isdn.conf
cp -a rate.conf* $RPM_BUILD_ROOT/etc/isdn/
popd
### ipppcomp
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/ipppcomp
cp -p ipppcomp/README.LZS $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/ipppcomp
### ipppd
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/ipppd
cp -p ipppd/NOTES.IPPPD $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/ipppd
cp -p ipppd/README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/ipppd
cp -p ipppd/README.RADIUS $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/ipppd
cp -p ipppd/README.linux.ORIG $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/ipppd
cp -p ipppd/README.mschap80.ORIG $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/ipppd
cp -p ipppd/TODO.4.MP $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/ipppd
### pcbit
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/pcbit
cp -p pcbit/README.pt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/pcbit
### rcapid
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/capi4linux/rcapid
cp -p rcapid/README $RPM_BUILD_ROOT%{_defaultdocdir}/capi4linux/rcapid
### vbox
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-vbox/examples
cp -p vbox/README $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-vbox
cp -a vbox/examples/ $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-vbox
### vbox3
#install -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/i4l-vbox/vbox3
#cp -a vbox3/examples/ $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-vbox/vbox3
#cp -a vbox3/doc/ $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-vbox/vbox3
### areacode
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-isdnlog/areacode
cp -p areacode/areacode.doc $RPM_BUILD_ROOT%{_defaultdocdir}/i4l-isdnlog/areacode/
### pppdcapiplugin
install -m 600 pppdcapiplugin/peers/t-dsl $RPM_BUILD_ROOT/etc/ppp/peers/t-dsl
################# km_ipppcomp stuff #########################
rm -rf $RPM_BUILD_ROOT/usr/src/kernel-modules/ipppcomp
mkdir -p $RPM_BUILD_ROOT/usr/src/kernel-modules/ipppcomp
cp -pd ipppcomp/* $RPM_BUILD_ROOT/usr/src/kernel-modules/ipppcomp
###########################################################
### some man pages are installed with wrong permissions ###
chmod 0644 $RPM_BUILD_ROOT/usr/share/man/*/*
###########################################################
### clean up some unneeded files                        ###
# part of fcdsl package
rm -rf $RPM_BUILD_ROOT/etc/drdsl
# not longer used by SL
rm -f $RPM_BUILD_ROOT/etc/isdn/isdnlog.isdnctrl0.options
rm -rf $RPM_BUILD_ROOT/usr/man

%post
#!/bin/bash
#
# install/doinst.sh - to be done after extraction
#
# Copyright (c) 2003 SuSE Linux AG
#
# dank an werner fr diesen code ;)))
#
if [ -f etc/SuSE-release ] ; then
  while read line ; do
    case "$line" in
        VERSION*) break ;;
        *)              ;;
    esac
  done < etc/SuSE-release
else
  # use 5.3 for anything older
  line="VERSION = 5.3"
fi
line=${line##*=}
major=${line%%.*}
minor=${line##*.}
#
#
##
## old 8.0/8.1 related notify removed for 9.0
## %if %ul_version == 0 && %sles_version == 0
## send mail to root
## mkdir -p var/adm/notify/messages
## play tricks on prepare_spec
## NOTHING=""
## cat << EOT > var/adm/notify/messages/i4l-notify
## text
## EOT
## %endif
#
# remove old var from rc.config
%{remove_and_set I4L_START}
# maybe
# if [ "$I4L_START" = "yes" ] ; then
%{insserv_force_if_yast etc/init.d/isdn }
# fi
%{fillup_only -an suseconfig}
%run_permissions
exit 0

%postun
%{insserv_cleanup}

%verifyscript
%verify_permissions -e /usr/bin/vboxbeep

%files -f isdnctrl_conf_timru
%defattr(-,root,root)
/var/adm/fillup-templates/sysconfig.suseconfig-i4l-base
### /etc/isdn 
%dir /etc/isdn
%config(noreplace) /etc/isdn/eft.conf
%config(noreplace) /etc/isdn/eftusers
### /etc/pcmcia
%dir /etc/pcmcia
%config(noreplace) /etc/pcmcia/*
### /etc/ppp
%config /etc/ppp/auth-down
%config /etc/ppp/auth-up
%config /etc/ppp/ioptions
### /usr/sbin
/usr/sbin/actctrl
/usr/sbin/divaload
/usr/sbin/divalog
/usr/sbin/divalogd
/usr/sbin/divertctrl
/usr/sbin/eftd
/usr/sbin/eiconctrl
/usr/sbin/hisaxctrl
/usr/sbin/icnctrl
/usr/sbin/imon
/usr/sbin/imontty
/usr/sbin/ipppd
/usr/sbin/ipppstats
/usr/sbin/iprofd
%attr(4750,root,dialout)/usr/sbin/isdnctrl
/usr/sbin/loopctrl
/usr/sbin/pcbitctl
/usr/sbin/rcisdn
/usr/sbin/rci4l*
### /usr/bin
/usr/bin/eftp
/usr/bin/isdnmon
/usr/bin/isdnmonp
/usr/bin/xisdnload
/usr/bin/xmonisdn
### /usr/lib/isdn
%dir /usr/lib/isdn
/usr/lib/isdn/ISAR.BIN
### init scripts
%config /etc/init.d/isdn
### sysconfig ###
%dir /etc/sysconfig/isdn
%dir /etc/sysconfig/isdn/scripts
/etc/sysconfig/isdn/scripts/*
/etc/sysconfig/network/scripts/*
### hotplug ###
%dir /etc/hotplug/usb
/etc/hotplug/usb/ISDN
/etc/hotplug/usb/ISDN.usermap
### SuSEconfig.isdn ###
/sbin/conf.d/SuSEconfig.isdn
### fr x-kram
/usr/X11R6/include/X11/bitmaps/netactive
/usr/X11R6/include/X11/bitmaps/netactiveout
/usr/X11R6/include/X11/bitmaps/netinactive
/usr/X11R6/include/X11/bitmaps/netstart
/usr/X11R6/include/X11/bitmaps/netstop
/usr/X11R6/include/X11/bitmaps/netwaiting
%config /usr/X11R6/lib/X11/app-defaults/XISDNLoad
### man pages
%doc /usr/X11R6/man/man1/xmonisdn.1x.gz
%doc /usr/share/man/man1/xisdnload.1x.gz
%doc /usr/share/man/man1/xmonisdn.1x.gz
%doc /usr/share/man/man4/isdn_audio.4.gz
%doc /usr/share/man/man4/isdnctrl.4.gz
%doc /usr/share/man/man4/isdninfo.4.gz
%doc /usr/share/man/man4/ttyI.4.gz
%doc /usr/share/man/man7/isdn_cause.7.gz
%doc /usr/share/man/man8/actctrl.8.gz
%doc /usr/share/man/man8/divertctrl.8.gz
%doc /usr/share/man/man8/eiconctrl.8.gz
%doc /usr/share/man/man8/hisaxctrl.8.gz
%doc /usr/share/man/man8/icnctrl.8.gz
%doc /usr/share/man/man8/imon.8.gz
%doc /usr/share/man/man8/imontty.8.gz
%doc /usr/share/man/man8/ipppd.8.gz
%doc /usr/share/man/man8/ipppstats.8.gz
%doc /usr/share/man/man8/iprofd.8.gz
%doc /usr/share/man/man8/isdnctrl.8.gz
%doc /usr/share/man/man8/loopctrl.8.gz
%doc /usr/share/man/man8/pcbitctl.8.gz
%doc %{_defaultdocdir}/%{name}

%files -n i4l-isdnlog
%defattr(-,root,root)
### /etc/isdn
%dir /etc/isdn
%config(noreplace) /etc/isdn/callerid.conf
%config            /etc/isdn/isdn.conf
%config            /etc/isdn/isdn.conf.*
%config            /etc/isdn/stop
%config(noreplace) /etc/isdn/isdnlog.options.templ
%config            /etc/isdn/rate.conf*
%config(noreplace) /etc/isdn/isdnlog.users
%config(noreplace) /etc/logrotate.d/i4l-isdnlog
### /usr/sbin
/usr/sbin/isdnlog
/usr/sbin/mkzonedb
### /usr/bin
/usr/bin/isdnconf
/usr/bin/isdnrate
/usr/bin/isdnrep
/usr/bin/isdnbill
### /usr/lib
%dir /usr/lib/isdn/
/usr/lib/isdn/*.dat
/usr/lib/isdn/*.cdb
### man pages
%doc /usr/share/man/man1/isdnrate.1.gz
%doc /usr/share/man/man1/isdnconf.1.gz
%doc /usr/share/man/man1/isdnrep.1.gz
%doc /usr/share/man/man5/callerid.conf.5.gz
%doc /usr/share/man/man5/isdnlog.5.gz
%doc /usr/share/man/man5/isdnlog.users.5.gz
%doc /usr/share/man/man8/isdnlog.8.gz
%doc /usr/share/man/man5/isdnformat.5.gz
%doc /usr/share/man/man5/rate-files.5.gz
%doc /usr/share/man/man5/isdn.conf.5.gz
%doc /usr/share/man/man8/mkzonedb.8.gz
%doc %{_defaultdocdir}/i4l-isdnlog

%files -n capi4linux
%defattr(-,root,root)
### /etc/ppp
%dir /etc/ppp/peers
%dir /etc/ppp/peers/isdn
%config /etc/ppp/peers/isdn/*
%config /etc/ppp/peers/t-dsl
%config /etc/ppp/peers/capi-isdn
### /usr/sbin
/usr/sbin/avmcapictrl
/usr/sbin/capiinit
/usr/sbin/rcapid
### /usr/bin
/usr/bin/capiinfo
/usr/bin/capifax
/usr/bin/capifaxrcvd
### /usr/include
/usr/include/capi20.h
/usr/include/capicmd.h
/usr/include/capiutils.h
### /usr/lib
/usr/%_lib/libcapi20*
%dir /usr/lib/pppd
/usr/lib/pppd/*/*
### /usr/lib/isdn
%dir /usr/lib/isdn/
/usr/lib/isdn/*.frm
### doc
%doc /usr/share/man/man8/avmcapictrl.8.gz
%doc /usr/share/man/man8/capiinfo.8.gz
%doc /usr/share/man/man8/capiplugin.8.gz
%doc %{_defaultdocdir}/capi4linux

%files -n i4l-vbox
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/i4l-vbox
### /usr/bin
/usr/bin/autovbox
/usr/bin/vbox
%verify(not mode) %attr(0755,root,trusted) /usr/bin/vboxbeep
/usr/bin/vboxcnvt
/usr/bin/vboxctrl
/usr/bin/vboxmail
/usr/bin/vboxmode
/usr/bin/vboxplay
/usr/bin/vboxtoau
### /usr/sbin
/usr/sbin/vboxd
/usr/sbin/vboxgetty
### config
%dir /etc/vbox
%config(noreplace) /etc/vbox/vboxd.conf
%config(noreplace) /etc/vbox/vboxgetty.conf
%config(noreplace) /etc/logrotate.d/i4l-vbox
%dir /var/spool/vbox
%dir /var/log/vbox
# manual
%doc /usr/share/man/man1/autovbox.1.gz
%doc /usr/share/man/man1/rmdtovbox.1.gz
%doc /usr/share/man/man1/vboxbeep.1.gz
%doc /usr/share/man/man1/vboxconvert.1.gz
%doc /usr/share/man/man1/vboxctrl.1.gz
%doc /usr/share/man/man1/vboxmode.1.gz
%doc /usr/share/man/man1/vboxplay.1.gz
%doc /usr/share/man/man1/vboxtoau.1.gz
%doc /usr/share/man/man1/vbox.1.gz
%doc /usr/share/man/man5/vbox_file.5.gz
%doc /usr/share/man/man5/vbox.conf.5.gz
%doc /usr/share/man/man5/vboxd.conf.5.gz
%doc /usr/share/man/man5/vboxgetty.conf.5.gz
%doc /usr/share/man/man5/vboxrc.5.gz
%doc /usr/share/man/man5/vboxtcl.5.gz
%doc /usr/share/man/man8/vboxd.8.gz
%doc /usr/share/man/man8/vboxgetty.8.gz
%doc /usr/share/man/man8/vboxputty.8.gz
%doc /usr/share/man/man8/vboxmail.8.gz
### /usr/share/doc/packages/*
%doc %{_defaultdocdir}/i4l-vbox

%files -n i4lfirm
%defattr(-,root,root)
/usr/lib/isdn/*.t4
/usr/lib/isdn/*.bin
/usr/lib/isdn/*.bit
/usr/lib/isdn/bip1120.btl
/usr/lib/isdn/te*.p*
/usr/lib/isdn/te*.s*
/usr/lib/isdn/te*.qm*

%files -n km_ipppcomp
%defattr(-,root,root)
%dir /usr/src/kernel-modules
/usr/src/kernel-modules/ipppcomp

%changelog -n i4l-base
* Mon May 03 2004 - kkeil@suse.de
- fix wrong USB IDS for Fritz!Card DSL SL USB (#39820)
- fix scripts with rmmod; it don't longer accept -r switch
- bluez module is called bluetooth in kernel 2.6
- update AVM firmware for B1,C2 and C4 to current versions
* Mon Apr 05 2004 - kkeil@suse.de
- add ISDN PCMCIA specific files to i4l-base (#38192)
* Fri Apr 02 2004 - kkeil@suse.de
- secfix in post install: remove update code for prior 8.0 (#37436)
- add CAPI20 compilant DATA B3 IND message handling
- add Fritz!Card DSL SL USB in hotplug scripts
* Mon Mar 29 2004 - kkeil@suse.de
- secfix for vbox3 (#33886)
- fix load-c4 script to work with c2 and kernel 2.6
* Mon Mar 22 2004 - kkeil@suse.de
- fix filter DLT value for new libpcap (same as in pppd bug #34569)
- fix unreadable doc README.SuSE (#36327)
* Mon Feb 16 2004 - olh@suse.de
- remove dependency to /etc/modules.conf, this file is gone
* Sat Feb 14 2004 - kkeil@suse.de
- update utils to support ppp 2.4.2
* Thu Feb 12 2004 - kkeil@suse.de
- update to utils version v3.4
* Thu Feb 12 2004 - ro@suse.de
- adapt to change in libpcap: include moved to pcap_bpf.h
* Tue Jan 13 2004 - aj@suse.de
- Fix mismatch of declarations.
* Wed Nov 05 2003 - ro@suse.de
- package according to permissions.secure and add run_permissions
* Wed Sep 17 2003 - kkeil@suse.de
- replace README.SuSE for isdnlog with proofread Version (#30252)
- remove debug code
* Tue Sep 16 2003 - kkeil@suse.de
- message on ifup, if no ISDN hardware is activ (#29946)
* Tue Sep 16 2003 - kkeil@suse.de
- fix isdnmonp wishx ---> wish (#30963)
- add some english docu for isdnlog (#30252)
- fix aplay call in vboxplay (#28144)
- do not modify secrets if MODIFY_SECRETS=no is set (#29088)
* Mon Sep 01 2003 - kkeil@suse.de
- miss active-filter in .config file so ipppd don't start (#29762)
- add scripts und USB IDs for Auerswald USB setup (#26399)
* Mon Aug 18 2003 - kkeil@suse.de
- fix permissions for /etc/ppp/peers (#29001)
* Mon Aug 18 2003 - kkeil@suse.de
- Fix chown in SuSEconfig.isdn (#28769)
- typo fixes in capiinfo
- add new AVM DSL cards start scripts
* Mon Aug 11 2003 - kkeil@suse.de
- update to current 3.3 remove obsolete patches
* Tue Jul 29 2003 - aj@suse.de
- Fix chown invocation.
* Thu Jun 12 2003 - kkeil@suse.de
- fix filelist
* Mon May 26 2003 - kkeil@suse.de
- cleanup build tree
* Wed Apr 09 2003 - kkeil@suse.de
- fix problem with capiinit and B1 V4 (#26028)
* Mon Mar 10 2003 - kkeil@suse.de
- add ipppd filter to make the timeout working again (#24998)
* Fri Mar 07 2003 - ro@suse.de
- added xinetd config file for i4l-vbox (#24672)
* Mon Feb 24 2003 - kkeil@suse.de
- update to current 3.2b3 main version remove obsolete patches
- 3.2b3 also fix some vbox problem on PPC (#23907)
- fix problems with multiple activ AVM cards (#23966)
* Mon Feb 17 2003 - kkeil@suse.de
- remove extra output of postinstall (#23182)
- fix isdnlog problems with FritzX USB (#23640)
- fix problems with backslash in usernames (e.g. win NT) (#23157)
- fix false "done" retcode if driver was not properly loaded (#23642)
- include latest isdn.conf and rate.conf files from base packages
* Mon Jan 20 2003 - kkeil@suse.de
- merge patches and update to new basic isdn4k-utils version v3.2p2
* Fri Jan 17 2003 - kkeil@suse.de
- add local logrotate scripts for isdnlog and vbox
* Thu Nov 28 2002 - kkeil@suse.de
- fix a typo in the SuSEconfig.isdn script which deletes
  /etc/pcmcia/avm.conf (#22176)
* Sun Nov 24 2002 - kkeil@suse.de
- fix a multiline string problem with new GCC
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <sp> to <opensp>
- changed neededforbuild <sp-devel> to <>
* Mon Nov 11 2002 - kukuk@suse.de
- Don't send email about changes on new products (#21414)
* Fri Nov 01 2002 - kkeil@suse.de
- fix problems with USB hotplug (#21485)
- scripts are bash not sh
- add T1/T1B support (#21486)
- fix documentation for dialin (#21433)
- add some missing variables in SuSEconfig.isdn (#20561)
- add support for remote hostnames in secret files (#19883)
- fix race (endless loop) in isdnctrl (#21491)
- add handling of fcpcmcia_cs to SuSEconfig.isdn (#21492)
- fix load-c4 startscript again (#19912)
* Mon Oct 28 2002 - kkeil@suse.de
- capiinit work now for protocol != DSS1 too (#21352)
* Tue Oct 01 2002 - kkeil@suse.de
- fix CHARGEMAX stop script (#20160)
* Sat Sep 28 2002 - kkeil@suse.de
- fix wrong path in oldi4l2new.sh (#20119)
* Fri Sep 20 2002 - kkeil@suse.de
- fix endless loop in load-c4 startscript (#19912)
* Thu Sep 19 2002 - kkeil@suse.de
- fix the remove of backslash characters in ppp secret files (#19857)
* Wed Sep 18 2002 - kkeil@suse.de
- fix firmware problem of AVM C2 (#19780)
- support DRIVER_OPTIONS config variable for CAPI
- update firmware files to current AVM versions
* Tue Sep 17 2002 - kkeil@suse.de
- fix isdn interface setup sequence, needed for controllers which
  don't support X.75 (#19784)
- preserve file creation times in install (use install -p)
* Sun Sep 08 2002 - kkeil@suse.de
- fix Provides for update (#19096)
- fix the need of reconnect a hotplug driver after config with YaST
  (#18832)
* Thu Sep 05 2002 - kkeil@suse.de
- add smpppd reload in isdn start script to fix (#18778)
* Wed Sep 04 2002 - kkeil@suse.de
- create pap/chap secret entries for all providers (#18839)
- use USB hotplug scripts (#18832)
- start rcsmpppd after start of ipppd (#18778)
* Sun Sep 01 2002 - kkeil@suse.de
- Add support for AVM Fritz!X OEM versions sold in CZ (#16388)
* Fri Aug 23 2002 - kkeil@suse.de
- add security patch for isdnctrl (Olaf Kirch)
- remove SUID for vboxbeep, if needed it will be set
  via /etc/permission... security profiles
* Mon Aug 19 2002 - kkeil@suse.de
- fix PreReq (#17877))
- use MODIFYDNS not USEPEERDNS (#17574)
- update oldvariables in SuSEconfig.isdn
- write a initial resolv.conf if DEMAND
  and DEFAULTROUTE and DNS1 is set
* Tue Aug 06 2002 - kkeil@suse.de
- fix SuSEconfig.isdn run without any ISDN cfg* files (#17441)
* Tue Jul 30 2002 - kukuk@suse.de
- use changes, not spec file for date calculation
* Mon Jul 29 2002 - kkeil@suse.de
- scripts for next release
* Sat Jul 20 2002 - kkeil@suse.de
- split packages
* Fri Jul 19 2002 - kkeil@suse.de
-  update to isdn4k-utils 3.2p1
  * Kernel source /usr/src/linux is not longer needed for build
- remove rc.config references (#17020)
- add CBDELAY parameter
* Thu Jul 18 2002 - kkeil@suse.de
- fix bug in the ipppd buffer overflow fixes
* Tue Jul 09 2002 - kkeil@suse.de
- add Fritz!Card DSL start/stop script
- minor docu fixes
* Fri Jul 05 2002 - kkeil@suse.de
- use isdn4k-utils v3.1
* Wed Jul 03 2002 - max@suse.de
- Changed vbox to accept Tcl 8.4 as well.
* Wed Jul 03 2002 - kkeil@suse.de
- remove killipppd and SUID root for ipppd
- buffer overflow fixes for ipppd
* Fri Jun 28 2002 - ro@suse.de
- use -fPIC when creating shared objects
* Fri Jun 14 2002 - ro@suse.de
- always use macros when calling insserv
* Tue Jun 11 2002 - mls@suse.de
- delete bogus config.* files from i4ldoc/act2000
* Tue May 14 2002 - ro@suse.de
- move libcapi20 libs to libdir where needed
* Mon Apr 22 2002 - kkeil@suse.de
- fix typo in add-hisax PARA_MEM -> PARA_MEMBASE (#15919)
* Mon Apr 22 2002 - kkeil@suse.de
- read real ID for hisaxctrl from /dev/isdninfo (#15916)
* Sat Apr 20 2002 - kkeil@suse.de
- fix wrong user/name for multiple connections (#15773)
- fix wrong relativ path in update.hwscan (#15865)
- fix missing SECURE setting for interface (#15838)
- add USB scripts to modules.conf
* Tue Apr 02 2002 - kkeil@suse.de
- fix wrong autoconf syntax; newer autoconf is more strict
* Tue Mar 26 2002 - kkeil@suse.de
- tag updated ISDN cards as configured for hwscan (#15532)
- add name for updated ISDN cards
- fix wrong absolut pathes to etc/ppp/...
- add some docu for new setup
* Mon Mar 25 2002 - kkeil@suse.de
- make update working (#15360, #15420)
* Thu Mar 21 2002 - kkeil@suse.de
- add /var/run/ipppd.ipppX.provider file (part of #15236)
- fix bug in etc/sysconfig/isdn/scripts/load-hisax_fcpcipnp if
  loading more cards
- add firmware for Fritz usb
- add REMOTE_IN processing in SuSEconfig.isdn
* Sat Mar 16 2002 - kukuk@suse.de
- Fix typo in etc/sysconfig/isdn/scripts/load-hisax_fcpcipnp
* Thu Mar 14 2002 - kkeil@suse.de
- some fixes to make hotplug working (#13853)
* Mon Mar 11 2002 - kkeil@suse.de
- don't setup interface from rc script if password will asked (#14777)
- manual load all controller (#14821)
* Sat Mar 09 2002 - kukuk@suse.de
- Add /etc/isdn to filelist
* Fri Mar 08 2002 - kkeil@suse.de
- user must not quoted on commandline (yes tested also with
  tonline account including #)
* Fri Mar 08 2002 - kkeil@suse.de
- SuSEconfig.isdn: delete files for deleted setups (#14633)
- SuSEconfig.isdn: is a bash script (#14628)
- to many rc_reset in rc scripts so failures are not reported
* Mon Mar 04 2002 - kkeil@suse.de
- ask interactiv for password (#12413)
- implement simple provider switching (#6169)
- fix various bugs in scripts
* Mon Feb 25 2002 - kkeil@suse.de
- fix rcisdn to handle selected controller
- support for Fritz CAPI driver
- fix AXP compiler problem
* Mon Feb 25 2002 - kkeil@suse.de
- start script is now called rcisdn
- use interface specific ifroute-<config> and not global routes file
* Mon Feb 25 2002 - kkeil@suse.de
- move to sysconfig completed
- go to isdn4k-utils 3.1pre4 (isdnlog with EURO support)
- new isdnlog default setup without xisdn (#13095)
- IPPPD_OPTIONS for extra user parameter (#13211)
- DIALPREFIX (often needed for S0 on local PBX) (#9531)
- AREACODE to better isdnlog setup
- fix isdnmon for multiple cards (#10299)
- fix km_ipppcomp MODULE_LICENSE
* Tue Feb 19 2002 - kkeil@suse.de
- more changes for new sysconfig setup
- now only one isdn rc script for hardware setup
- networksetup is done via ifup/down
* Mon Feb 04 2002 - schwab@suse.de
- Fix use of set in rc script.
* Wed Jan 30 2002 - kkeil@suse.de
- minor fixes in the utils
* Wed Jan 30 2002 - ro@suse.de
- don't complain if no interfaces are configured
- remove I4L_START from rc.config on update
* Tue Jan 29 2002 - kkeil@suse.de
- v3.1pre3
- new sysconfig setup
* Mon Nov 12 2001 - ro@suse.de
- run automake et al in capiinfo and capifax
* Fri Sep 14 2001 - ro@suse.de
- tweak Makefile.module again (now it works, tested)
* Fri Sep 14 2001 - ro@suse.de
- make sure help-targets are done first in ipppcomp Makefile.module
- unified changelog
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Jul 20 2001 - kkeil@suse.de
- make startscript status LSB compliant
- fix startscript bug to load HiSax firmware at multiple cards
* Fri Jul 20 2001 - kkeil@suse.de
- fix missing /var/spool/vbox /var/log/vbox dir (Bug 9452)
- Fix MPPP related bug (slave hangup take ipcp down)
- pppcapiplugin examples with right plugin path
* Sun Jul 01 2001 - kkeil@suse.de
- make alpha working again
* Sat Jun 23 2001 - kkeil@suse.de
- update old /etc/isdn/isdn.conf (.gdbm -> .cdb)
* Fri Jun 22 2001 - kkeil@suse.de
- fix typo in i4l script (BUG 8992)
- workaround for wrong headers in 2.4.5
- isdn4k-utils.v3.1pre2
* Wed Jun 13 2001 - kkeil@suse.de
- fix for new libtool
* Fri May 04 2001 - kkeil@suse.de
- workaround <linux/version.h> including
* Tue Apr 17 2001 - kkeil@suse.de
- add killipppd program
- add hook for ip_resend in start script
- leased line improvement (BUG 6454)
* Fri Apr 06 2001 - kukuk@suse.de
- changed neededforbuild lx_suse to kernel-source
- fix spec file
* Fri Mar 30 2001 - kkeil@suse.de
- ipppcomp isdn_lzh now as km_i4lccp
* Thu Mar 29 2001 - kkeil@suse.de
- new firmware from AVM: works with B1 V4
* Mon Mar 05 2001 - kkeil@suse.de
- clean up some old docu (BUG 6592)
* Fri Mar 02 2001 - kkeil@suse.de
- fix missing exec mode on start scripts (BUG 6527)
- check for existing programs in start scripts (BUG 6480)
- include version info in notify mail (BUG 6405)
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Feb 14 2001 - kkeil@suse.de
- fix eicon to test linux/isdn.h and not /usr/src/linux/include/...
* Tue Feb 06 2001 - kkeil@suse.de
- isdn4k-util-glibc.dif for missing time.h includes
- add lx_suse to need_for_build (some isdn programms need
  /usr/src/linux/drivers/isdn/... during autoconf to select features)
* Wed Jan 17 2001 - kkeil@suse.de
- fix isdnlog to close stdio's if going daemon (#BUG 5807
* Wed Jan 17 2001 - kkeil@suse.de
- update eiconctrl to v2.2 and Eicon firmware (BUG #5808)
* Wed Jan 17 2001 - kkeil@suse.de
- usr/doc ---> usr/share/doc in documents/templates (BUG #5806)
* Mon Jan 15 2001 - kkeil@suse.de
- remove README.dynip - outdated info (BUG #1562)
* Mon Jan 15 2001 - kkeil@suse.de
- adding update etc/ppp/options.ippp? for "defaultroute"
  (bug #5658)
- send only mail to root if it was an pre 6.4 or files are changed
* Sun Jan 07 2001 - kkeil@suse.de
- etc/ppp/ioptions.YaST: enable defaultroute option (bug #3949)
- i4l_hardware.templ: set I4L_TYPE_1 to "" instead of "6"
  YaST2 need this
* Wed Nov 29 2000 - kkeil@suse.de
- changes for new init
- i4l_hardware: EAZ mapping for all cards, not only hisax
- archives now bzip2
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Tue Nov 28 2000 - ro@suse.de
- fixed startscripts (not requiring remote_fs despite using /usr)
* Mon Sep 25 2000 - kkeil@suse.de
- add a man.in -> man rule in xmonisdn Imakefile for new xmkmf .html pages
* Thu Jul 20 2000 - kkeil@suse.de
- workaround for a PPC compiler bug triggered by capi20.c
* Tue Jul 11 2000 - kkeil@suse.de
- insert netmask 255.255.255.255 as default for ipppd
- Update MPPP docu
- change comments in i4l.rc.config template (Bug 3256)
* Wed Jul 05 2000 - kkeil@suse.de
- capi20 shared lib was not build because old libtool files
* Thu Jun 22 2000 - kkeil@suse.de
- compiles now under all arch
- utils v3.1pre1a
- NI1 support
* Thu Jun 08 2000 - kkeil@suse.de
- added %%config(noreplace) to some config files
* Thu Jun 08 2000 - kkeil@suse.de
- utils are now v3.1pre1
* Wed May 31 2000 - kkeil@suse.de
- change SBIN dir to /usr/sbin
- new utils version
- BUILDROOT support
- cleanups
* Tue May 23 2000 - kkeil@suse.de
- vbox now use TCL8.3
- change docdir to FHS
* Wed May 17 2000 - kasal@suse.cz
- fix English spelling in mail to root; add blank lines to the mail
* Tue Apr 04 2000 - kkeil@suse.de
- fix i4l_hardware sript to load ISAR firmware
* Wed Mar 29 2000 - kkeil@suse.de
- fix i4l_hardware script (BUGs 2639,2640)
- fix iprofd for newer kernel versions
- fix i4l script ipppd pidfile remove race (BUG 1663)
* Tue Mar 07 2000 - kkeil@suse.de
- fix i4l_hardware script
- ioptions.YaST template with new options
- remove outdated docu
* Sat Mar 04 2000 - werner@suse.de
- Pack .isdnctrl_conf.8.gz or .isdnctrl_timru.8.gz depending
  on the configuration (close bug #2170)
* Mon Feb 21 2000 - kkeil@suse.de
- fix version numbers
- fix i4l_hardware for Eicon
* Sun Feb 20 2000 - kkeil@suse.de
- new utils version
- update isdn.conf for new isdnlog
* Sat Feb 19 2000 - kkeil@suse.de
- fix AXP compile
- new isdnlog syslog default loglevel to reduce warnings
- start scripts for EICON activ cards
* Thu Feb 17 2000 - ro@suse.de
- only source i4l_unknown if it exists
* Wed Feb 16 2000 - kkeil@suse.de
- fix i4l_hardware for icn
* Wed Feb 16 2000 - kkeil@suse.de
- exit 0 in postinstall
* Wed Feb 16 2000 - kkeil@suse.de
- changes for new yast
* Sun Feb 13 2000 - kkeil@suse.de
- new utils version
- change /usr/man --> /usr/share/man
* Sat Jan 29 2000 - kkeil@suse.de
- capi stuff temporary disabled for ppc
* Fri Jan 21 2000 - kkeil@suse.de
- changes in script and templates for PCMCIA and standalone calls
- AVM C4 integration
- new utils version
* Wed Jan 05 2000 - kukuk@suse.de
- Remove lx_suse from need for build
* Mon Jan 03 2000 - kkeil@suse.de
- fix SLAVE dialmode for MPPP
* Sun Jan 02 2000 - kkeil@suse.de
- fix template for B1 PCMCIA card
* Sun Jan 02 2000 - kkeil@suse.de
- Y2K fix for isdnlog -t option
* Mon Nov 08 1999 - kkeil@suse.de
- Fix isapnp doc
* Mon Nov 08 1999 - max@suse.de
- changed isdnmon to use wish instead of wish4.2
* Sat Nov 06 1999 - kkeil@suse.de
- i4l_hardware start iprofd for other cards as hisax too
* Sat Nov 06 1999 - kkeil@suse.de
- removed isdn_lzscomp.c (US patent issues)
  for none US here 'll be a packet i4l_ccp available
* Tue Nov 02 1999 - kkeil@suse.de
- remove ip-up/down from package (was never used, ippp use the
  script from /etc/ppp)
- README.pcmcia added
- fixes for isdnctrl, rate-de
- spelling corrections
- working scripts for PCMCIA and AVM B1
* Tue Oct 26 1999 - kkeil@suse.de
- isdnrate was not in filelist
* Mon Oct 25 1999 - kkeil@suse.de
- shared libcapi20 was not in filelist for rpm
* Mon Oct 25 1999 - kkeil@suse.de
- new utils snapshoot with fixed ipppd for -ac versions of kernel
  libtool now need for capi20
  isdnlog databased fixed (not so much errors during load)
  install also at,nl,ch database files
  rcapid now in /usr/sbin
* Sat Oct 16 1999 - kkeil@suse.de
- new cards, vbox working, ISAR.BIN moved from firmware
  update scripts
* Wed Oct 13 1999 - kkeil@suse.de
- new utils snapshoot
* Mon Oct 11 1999 - max@suse.de
- ready for the new Tcl/Tk packages
* Fri Oct 01 1999 - kkeil@suse.de
- kernel README for /usr/doc/packages are now copied direct from kernel
* Fri Oct 01 1999 - kkeil@suse.de
- new FAQ need sgmltool sp sp_libs for build
- cleanup isdn4k-utils.dif
* Fri Sep 17 1999 - ro@suse.de
- fixed typo in isdn.conf: zone-file has suffic gdbm
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - ro@suse.de
- ipppd: ccp.c use isdn_lzscomp.h from ../ipppcomp if not in kernel
* Mon Aug 23 1999 - ro@suse.de
- added yet another entry to isdn.conf:
  ZONEFILE=/usr/lib/isdn/zone-de-%%s.dat
* Tue Aug 17 1999 - ro@suse.de
- added security fix for xmonisdn: dont install suid-root
  if suid-root, dont allow execution of scripts
* Tue Aug 17 1999 - ro@suse.de
- i4l_suse: isdn.conf: added entries for AREADIFF, RATEFILE, HOLIDAYS
  COUNTRYFILE and (commented) RATECONF, SPECIALNUMBERS
- i4l_suse: i4l_hardware: added code for AVM-B1-ISA
* Sat Jul 17 1999 - ro@suse.de
- update to v3.1beta1
- reworked specfile and dif
* Sun Jul 11 1999 - ray@suse.de
- add cards 29-35 in i4l_hardware
* Thu Jun 24 1999 - ro@suse.de
- removed /etc/ppp/ip-{up,down} (moved to aaa_base for conflict with ppp)
* Mon May 31 1999 - ray@suse.de
- fix in ip-up
* Mon May 03 1999 - ray@suse.de
- include country.dat, tarif.dat and sondernummern.dat in /usr/lib/isdn
* Mon Apr 26 1999 - ro@suse.de
- BETA ONLY: added a second %% in shell substution
* Mon Apr 12 1999 - ro@suse.de
- VERSION FOR BETA
- enable configure (simply needed for multi-platform)
- isdnlog renamed _Exit to _I4Exit
- add link /usr/include/tcl8.0.h -> tcl.h (removed after build)
- vbox: to /usr/sbin and /etc/vbox as in other dif
* Fri Apr 09 1999 - ray@suse.de
- fix startup iprofd for all cards
* Tue Apr 06 1999 - ray@suse.de
- fix in spec file
* Tue Apr 06 1999 - ray@suse.de
- fix in i4l_hardware - thanks Bernd ;)
* Fri Mar 19 1999 - ray@suse.de
- added dummy-type(99) in i4l_hardware
* Fri Mar 12 1999 - ro@suse.de
- do not use absolute paths in %%post
- etc/SuSE-release might not even exist..
* Thu Mar 11 1999 - ray@suse.de
- include I4L_SUBTYPE in /etc/rc.config.d/i4l_hisax.rc.config for YaST
* Tue Mar 09 1999 - ray@suse.de
- update for kernel 2.2.x
- include timerules (no initscript)
* Sat Jan 16 1999 - ray@suse.de
- fix in /sbin/init.d/i4l
- fix error messages
* Tue Jan 12 1999 - ray@suse.de
- include I4L_VERBOSE in i4l_sp_option.rc.config - default yes
* Mon Dec 14 1998 - ray@suse.de
- fix i4l_hardware
* Mon Dec 14 1998 - ray@suse.de
- fix post install
* Mon Dec 14 1998 - ray@suse.de
- insert dialmode for all interfaces
- move all unknown i4l variables from /etc/rc.config
  to /etc/rc.config.d/i4l_unknown
* Sun Dec 13 1998 - ray@suse.de
- include patch from karsten keil in i4l_hardware
* Sun Dec 13 1998 - ray@suse.de
- split /etc/rc.config to /etc/rc.config.d/*
- update docu
* Fri Dec 04 1998 - ray@suse.de
- include Sedelbauer Speed Fax+ (incl. Firmeware)
* Thu Dec 03 1998 - ray@suse.de
- move vbox binarys to /usr/bin/*
* Thu Dec 03 1998 - ray@suse.de
- mv /usr/bin/vbox/sbin/* ---> /usr/sbin/*
- include new fimeware
  /usr/lib/isdn/*
  old move to:
  /usr/lib/isdn_old/*
* Thu Nov 26 1998 - ray@suse.de
- include new cards
  Sedlbauer PC/104 -> type 15
  Fritz PNP	 -> type 27
* Thu Nov 26 1998 - ray@suse.de
- include I4L_DIALMODE in rc.config
* Wed Nov 18 1998 - ray@suse.de
- move vbox-configs to /etc/vbox
* Tue Nov 17 1998 - ray@suse.de
- update to isdn4k-utils3.0.b1
- include card Type 27 for Fritz PCI
- insert isdnctrl dialmode <IFACE> auto
* Mon Oct 26 1998 - ray@suse.de
- fix /sbin/init.d/i4l_hardware for avm b1
* Tue Aug 25 1998 - ro@suse.de
- don't pack etc/ppp/pap-secrets (conflicts with ppp)
* Mon Aug 24 1998 - ro@suse.de
- run configure scripts
* Fri Aug 21 1998 - ray@suse.de
- update docu
- update isdn4k-utils to 2.2b1
- HiSax3 is default (no timerule)
* Mon Aug 03 1998 - ray@suse.de
- include HiSax3 (alpha)
- update i4l (include new Cards)
- fix i4l (I4L_HISAX_3)
- add docu (/usr/doc/packages/i4ldoc/HiSax3/*)
* Sat Jul 18 1998 - ray@suse.de
- update docu
- update i4l_hardware (add Teles 16.3c)
- update ip-up (add ipfwadm)
* Tue Apr 28 1998 - ray@suse.de
- fix docu
* Fri Apr 24 1998 - ray@suse.de
- %%config /etc/ppp/ip-down
* Wed Apr 22 1998 - ray@suse.de
- fix in i4l kill to kill -15
* Tue Apr 21 1998 - kfr@suse.de
- ipppd bugfix: create pidfile
* Thu Apr 16 1998 - kfr@suse.de
- support for mppp added
- minor bug fixes
* Tue Mar 10 1998 - kfr@suse.de
- added sleep in ip-up
* Mon Mar 09 1998 - bs@suse.de
- fixed problem with rcs ID string.
* Sun Mar 08 1998 - bs@suse.de
- fixed ip-up
- fixed isdn4k-utils-2.1b1/ipppd/main.c
* Fri Mar 06 1998 - kfr@suse.de
- new: %%config /etc/ppp/ip-up
- new: /usr/doc/packages/i4l/README.IPPP
- fixed /usr/doc/packages/auth-up
- i4l_hardware: avmcapictrl reset 1
- xmonisdn: /etc/isdn/i4l-up, i4l-down
* Wed Nov 12 1997 - kfr@suse.de
- /sbin/imon: new permissions 755
- include README.HiSax Version 2.5 as kernel/README.HiSax.2.5
* Wed Nov 12 1997 - kfr@suse.de
- bug in i4l: kill old ipppd
* Tue Nov 11 1997 - kfr@suse.de
- Docu updated
- new: isdnbar 0.5
* Sun Nov 09 1997 - kfr@suse.de
- bug in init.d/i4l
* Sun Oct 26 1997 - kfr@suse.de
- /etc/isdn/isdnlog.isdnctrl0.options: 'hangup' added
- i4l_hardware: added new cards for HiSax 2.5
* Thu Aug 28 1997 - kfr@suse.de
- I4L_REMOTE_OUT instead I4L_REMOTE_OUT1,2 (and for _IN)
* Wed Aug 27 1997 - kfr@suse.de
- /etc/ppp/options.YaST: some better defaults
  (no "0.0.0.0:", no noccp, no useifip)
- i4l: try to kill an old ipppd
* Thu Jul 24 1997 - kfr@suse.de
- /sbin/init.d/i4l: ipppd with "&"
- /sbin/init.d/i4l_hardware: I4L_I4L_TELES_ID -> I4L_TELES_ID
* Fri Jun 27 1997 - kfr@suse.de
- new: README.info
- doku updated
* Wed Jun 25 1997 - kfr@suse.de
- ICN-4B bugfixes
- ownerships fixed
- minor bugfixes
* Wed Jun 25 1997 - kfr@suse.de
- AVM-B1 now works
- finished documentations
* Tue Jun 17 1997 - kfr@suse.de
- rc.config: I4L_PPPBIND_* should be set to "yes" now.
  the devicename is generated automatically
  thanks to Stefan Luethje <luethje@sl-gw.lake.de>
- /etc/ppp/ioptions: forgotten in previous versions
* Tue Jun 10 1997 - kfr@suse.de
- firmware location (ICN / B1): /usr/lib/isdn
- load firmware for ICN cards
* Mon Jun 09 1997 - kfr@suse.de
- added manpages: ttyI.4 isdninfo.4 isdn_audio.4 isdn_cause.7
- no absolute links
- i4l_hardware: support for AVM-B1 PCI
* Mon Jun 02 1997 - kfr@suse.de
- minor bugfixes
- start isdnlog(s) with option file (/etc/isdn/isdnlog.*.options)
  if exists
- remove K*i4l_route in runlevel 2, 3
* Mon Jun 02 1997 - kfr@suse.de
- new version isdn4kutil-2.1b1
- configuration changed from /etc/isdnlog -> /etc/isdn
- new configuration format for isdnlog
- YaST Configuration for HiSax and Internet-Conenction
- AVM-B1
- vbox is "old" :-(
- README.SuSE and README.Quick is old :-(
- updated ipppd-manpage
* Wed Feb 12 1997 - kfr@suse.de
- i4l_hardware: bug fixed (HISAX_PAR1)
* Mon Feb 10 1997 - kfr@suse.de
- Documentation updated for HiSax 1.5
- new Doc: /usr/doc/packages/i4l/README.Quick
- i4l_hardware: start/stop of 'isdnlog', 'iprofd' here (not i4l)
- isdnlog: start without "-v 7"
- ipppd: start with "ipppd $NETDEV"
- /usr/doc/packages/i4l/pppsample/options|pap-secrets:
  examples for SuSE-ISDN-Server
- new version: imontty-0.5
- i4l new option: "i4l start/stop $NETDEV": configure only $NETDEV
- new link: rc2.d/K38i4l_route and rc3.d/K38i4l_route
- 4.3 -> 4.4
- HiSax 1.2 driver for isdn-devices (edit /etc/rc.config for using HiSax)
- isdnlog 2.51 (patch 2.50 version from Karsten Keil)
- new: xisdnload
- 4.2 -> 4.3
- neue Version: isdn4k-utils.2.0.0
- /sbin/init.d/i4l:
- weitere Optionen bzgl. isdnctrl
- es kann auch ohne Module gearbeitet werden
- ICN-Karte integriert, ungetestet
- ipppd integriert
- ipppd: shadow-passwd
- neu: isdnmonp, gepatchete isdnmon-Version
- neue location:
  isdnrep: /usr/sbin -> /usr/bin
  isdnmon: /sbin -> /usr/bin
- Netzwerkkonfiguration fuer ISDN-Devices (ifconfig Aufrufe) nur noch in
  i4l statt in network
- isdnlog.conf: jetzt unter /etc/isdnlog/isdnlog.conf,
  neue Syntax! Siehe /usr/doc/packages/i4l/README.isdnlog
- isdn.log nicht mehr unter /var/adm sondern /var/log!
  Um weiter Auswertungen mit 'isdnrep' zu machen, kopiere die Datei
  nach /var/log
  Wenn das Kind bereits in den Brunnen gefallen ist, d.h. schon unter
  /var/log und noch unter /var/adm geloggt wurde, 'cat'e die Files
  zusammen:
  cd /var/log
  mv isdn.log isdn.log.new
  cat /var/adm/isdn.log isdn.log.new > isdn.log
- in rc_config: einige I4L-Paramter werden jetzt mit der Extension
  "_1", "_2" u.s.w. definiert. Daher ist eine Zurordnung zum Netzdevice
  moeglich.
